ENT.Type = "anim"
ENT.Base = "base_follower"
ENT.RenderGroup = RENDERGROUP_TRANSLUCENT

function ENT:Initialize()
	
	self.ModelString = 'models/rtbmodels/pokemon/charmander.mdl'
	self.ModelScale = 0.8
	self.Shadows = true
	self.Particles = "skull_flames" 
	self.BaseClass.Initialize( self )
	

end

function ENT:Fo_UpdatePet( speed, weight )
	local noAng = self:GetAngles()
	self:SetAngles( noAng + Angle( math.sin( CurTime() * fo.WobbleSpeed ) * -8, math.cos( CurTime() * fo.WobbleSpeed ) * -8, 0 ) )
end
